import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/invoiceInOut/productManager";

import { renderIconLabelLeft } from "/@/utils/columnRenderHelper";

const columns = [
  {
    label: "商品编码",
    prop: "TODO",
    width: 150
  },
  {
    label: "商品代码",
    prop: "TODO",
    width: 160
  },
  {
    label: '供应商名称',
    width: 160,
    ...renderIconLabelLeft('supplierNo', 'supplierName', '供应商编码:')
  },
  {
    label: '商品类型',
    prop: 'TODO',
    width: 100
  },
  {
    label: '商品名称',
    prop: 'TODO',
    width: 150
  },
  {
    label: "规格",
    prop: "TODO",
    width: 80
  },
  {
    label: "单位",
    prop: "TODO",
    width: 80
  },
  {
    label: "状态",
    prop: "TODO",
    width: 100
  },
  {
    label: '税前单价',
    prop: 'TODO',
    width: 100
  },
  {
    label: '税后单价',
    prop: 'TODO',
    width: 100
  },
  {
    label: '重量',
    prop: 'TODO',
    width: 80
  },
  {
    label: '分光',
    prop: 'TODO',
    width: 80
  },
  {
    label: '创建人',
    prop: 'TODO',
    width: 80
  },
  {
    label:'创建时间',
    prop: 'TODO',
    width: 140
  },
  {
    label: "操作",
    fixed: "right",
    width: 55,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  columns,
  title: "商品管理",
  permissions: ['003'],
  // superUserNoAction: false,
  apis: { 
    httpList,
    httpAdd: true
  }
};

export default contentConfig;
